# Record TCefImage

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefImage = record`

## Description

Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this structure can be called on any browser process thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefImage.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_image_capi.h">CEF source file: /include/capi/cef_image_capi.h (cef_image_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_empty: function(self: PCefImage): Integer; stdcall;`
| `is_same: function(self, that: PCefImage): Integer; stdcall;`
| `add_bitmap: function(self: PCefImage; scale_factor: Single; pixel_width, pixel_height: Integer; color_type: TCefColorType; alpha_type: TCefAlphaType; const pixel_data: Pointer; pixel_data_size: NativeUInt): Integer; stdcall;`
| `add_png: function(self: PCefImage; scale_factor: Single; const png_data: Pointer; png_data_size: NativeUInt): Integer; stdcall;`
| `add_jpeg: function(self: PCefImage; scale_factor: Single; const jpeg_data: Pointer; jpeg_data_size: NativeUInt): Integer; stdcall;`
| `get_width: function(self: PCefImage): NativeUInt; stdcall;`
| `get_height: function(self: PCefImage): NativeUInt; stdcall;`
| `has_representation: function(self: PCefImage; scale_factor: Single): Integer; stdcall;`
| `remove_representation: function(self: PCefImage; scale_factor: Single): Integer; stdcall;`
| `get_representation_info: function(self: PCefImage; scale_factor: Single; actual_scale_factor: System.PSingle; pixel_width, pixel_height: PInteger): Integer; stdcall;`
| `get_as_bitmap: function(self: PCefImage; scale_factor: Single; color_type: TCefColorType; alpha_type: TCefAlphaType; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;`
| `get_as_png: function(self: PCefImage; scale_factor: Single; with_transparency: Integer; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;`
| `get_as_jpeg: function(self: PCefImage; scale_factor: Single; quality: Integer; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_empty: function(self: PCefImage): Integer; stdcall;`
This item has no description.

| `is_same: function(self, that: PCefImage): Integer; stdcall;`
This item has no description.

| `add_bitmap: function(self: PCefImage; scale_factor: Single; pixel_width, pixel_height: Integer; color_type: TCefColorType; alpha_type: TCefAlphaType; const pixel_data: Pointer; pixel_data_size: NativeUInt): Integer; stdcall;`
This item has no description.

| `add_png: function(self: PCefImage; scale_factor: Single; const png_data: Pointer; png_data_size: NativeUInt): Integer; stdcall;`
This item has no description.

| `add_jpeg: function(self: PCefImage; scale_factor: Single; const jpeg_data: Pointer; jpeg_data_size: NativeUInt): Integer; stdcall;`
This item has no description.

| `get_width: function(self: PCefImage): NativeUInt; stdcall;`
This item has no description.

| `get_height: function(self: PCefImage): NativeUInt; stdcall;`
This item has no description.

| `has_representation: function(self: PCefImage; scale_factor: Single): Integer; stdcall;`
This item has no description.

| `remove_representation: function(self: PCefImage; scale_factor: Single): Integer; stdcall;`
This item has no description.

| `get_representation_info: function(self: PCefImage; scale_factor: Single; actual_scale_factor: System.PSingle; pixel_width, pixel_height: PInteger): Integer; stdcall;`
This item has no description.

| `get_as_bitmap: function(self: PCefImage; scale_factor: Single; color_type: TCefColorType; alpha_type: TCefAlphaType; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;`
This item has no description.

| `get_as_png: function(self: PCefImage; scale_factor: Single; with_transparency: Integer; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;`
This item has no description.

| `get_as_jpeg: function(self: PCefImage; scale_factor: Single; quality: Integer; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.